import enum
from dataclasses import dataclass


class AIModelName(enum.StrEnum):
    GPT = enum.auto()
    Claude = enum.auto()
    Gemini = enum.auto()


@dataclass
class AISettings:
    model_name: AIModelName
    model_version: str
    api_key: str
